export default {
  name: 'ProjectQuality',
  path: '/project-quality',
  redirect: '/project-quality/project-quality-manage',
  meta: {
    title: '项目质量',
    sort: 6,
    isModule: true,
    alias: 'projectQualityManage',
    icon: 'project',
  },
  children: [
    {
      name: 'ProjectQualityManage',
      path: '/project-quality/project-quality-manage',
      redirect: '/project-quality/project-quality-manage/issues-feedback',
      meta: {
        title: '项目质量管理',
        sort: 1,
        alias: 'projectChildQualityManage',
      },
      children: [
        {
          name: 'IssuesFeedback',
          path: '/project-quality/project-quality-manage/issues-feedback',
          component: () =>
            import(
              '@/views/project-quality/project-quality-manage/issues-feedback/index.vue'
            ),
          meta: {
            title: '质量问题反馈',
            sort: 1,
            alias: 'qualityProblem',
            icon: 'quality-problem',
          },
        },
        {
          name: 'IssuesQuery',
          path: '/project-quality/project-quality-manage/issues-query',
          component: () =>
            import(
              '@/views/project-quality/project-quality-manage/issues-query/index.vue'
            ),
          meta: {
            title: '质量问题查询',
            sort: 1,
            alias: 'qualityProblemQuery',
            icon: 'service-crm',
          },
        },
      ],
    },
  ],
};
