export default {
  name: 'Sop',
  path: '/sop',
  redirect: '/sop/sop-manage',
  meta: {
    title: 'SOP管理',
    sort: 2,
    isModule: true,
    alias: 'sopManage',
    icon: 'sop',
  },
  children: [
    {
      name: 'SopManage',
      path: '/sop/sop-manage',
      redirect: '/sop/sop-manage/office-sop',
      meta: {
        title: 'SOP管理',
        sort: 1,
        alias: 'sopChildManage',
      },
      children: [
        {
          name: 'OfficeSop',
          path: '/sop/sop-manage/office-sop',
          component: () =>
            import('@/views/sop/sop-manage/office-sop/index.vue'),
          meta: {
            title: '教务处SOP管理',
            sort: 1,
            alias: 'office',
            icon: 'office-sop',
          },
        },
        {
          name: 'SopFlow',
          path: '/sop/sop-manage/sop-flow',
          component: () => import('@/views/sop/sop-manage/sop-flow/index.vue'),
          meta: {
            title: 'SOP流程',
            bind: 'office',
          },
        },
        {
          name: 'PlanChange',
          path: '/sop/sop-manage/plan-change',
          component: () =>
            import('@/views/sop/sop-manage/plan-change/index.vue'),
          meta: {
            title: '项目计划变更',
            bind: 'office',
          },
        },
        {
          name: 'QualityIssue',
          path: '/sop/sop-manage/quality-issue',
          component: () =>
            import('@/views/sop/sop-manage/quality-issue/index.vue'),
          meta: {
            title: '上报质量问题',
            bind: 'office',
          },
        },
        {
          name: 'StudentSop',
          path: '/sop/sop-manage/student-sop',
          component: () =>
            import('@/views/sop/sop-manage/student-sop/index.vue'),
          meta: {
            title: '研究生SOP管理', //后端菜单暂时没有提供，等待需求落定
            sort: 2,
            alias: 'cloudMark',
            icon: 'student-sop',
          },
        },
        {
          name: 'DeviceOutIn',
          path: '/sop/sop-manage/device-out-in',
          component: () =>
            import('@/views/sop/sop-manage/device-out-in/index.vue'),
          meta: {
            title: '设备出入库登记',
            sort: 3,
            alias: 'deviceInOutSop',
            icon: 'device-outin',
          },
        },
        {
          name: 'ProjectChangeReport',
          path: '/sop/sop-manage/project-change-report',
          component: () =>
            import('@/views/sop/sop-manage/project-change-report/index.vue'),
          meta: {
            title: '项目计划变更报备',
            sort: 4,
            alias: 'projectExchange',
            icon: 'project-change',
          },
        },
      ],
    },
    {
      name: 'SopMonitor',
      path: '/sop/sop-monitor',
      redirect: '/sop/sop-monitor/delay-warning',
      meta: {
        title: 'SOP监控',
        sort: 1,
        alias: 'sopControlManage',
      },
      children: [
        {
          name: 'DelayWarning',
          path: '/sop/sop-monitor/delay-warning',
          component: () =>
            import('@/views/sop/sop-monitor/delay-warning/index.vue'),
          meta: {
            title: '延期预警',
            sort: 2,
            alias: 'delayWarn',
            icon: 'delay-warning',
          },
        },
        {
          name: 'ViolationRegistration',
          path: '/sop/sop-monitor/violation-registration',
          component: () =>
            import('@/views/sop/sop-monitor/violation-registration/index.vue'),
          meta: {
            title: '违规登记',
            sort: 3,
            alias: 'violation',
            icon: 'violation',
          },
        },
      ],
    },
  ],
};
