export default {
  name: 'System',
  path: '/system',
  redirect: { name: 'CustomerManage' },
  meta: {
    title: '系统',
    sort: 2,
    isModule: true,
    alias: 'systemManage',
    icon: 'system',
  },
  children: [
    {
      name: 'ConfigManage',
      path: '/system/config-manage',
      redirect: { name: 'CustomerManage' },
      meta: {
        title: '配置管理',
        sort: 1,
        alias: 'configureManage',
      },
      children: [
        {
          name: 'CustomerManage',
          path: '/system/config-manage/customer-manage',
          component: () =>
            import('@/views/system/config-manage/customer-manage/index.vue'),
          meta: {
            title: '客户配置',
            sort: 1,
            alias: 'custom',
            icon: 'custom-manage',
          },
        },
        {
          name: 'SupplierManage',
          path: '/system/config-manage/supplier-manage',
          component: () =>
            import('@/views/system/config-manage/supplier-manage/index.vue'),
          meta: {
            title: '供应商配置',
            sort: 1,
            alias: 'supplier',
            icon: 'supplier-manage',
          },
        },
        {
          name: 'DeviceManage',
          path: '/system/config-manage/device-manage',
          component: () =>
            import('@/views/system/config-manage/device-manage/index.vue'),
          meta: {
            title: '设备配置',
            sort: 1,
            alias: 'device',
            icon: 'device-manage',
          },
        },
        {
          name: 'ServiceLevelManage',
          path: '/system/config-manage/service-level-manage',
          component: () =>
            import(
              '@/views/system/config-manage/service-level-manage/index.vue'
            ),
          meta: {
            title: '服务档位配置',
            sort: 1,
            alias: 'level',
            icon: 'level-manage',
          },
        },
        {
          name: 'CheckinManage',
          path: '/system/config-manage/checkin-manage',
          component: () =>
            import('@/views/system/config-manage/checkin-manage/index.vue'),
          meta: {
            title: '考勤配置',
            sort: 1,
            alias: 'dingConfigure',
            icon: 'ding-configure',
          },
        },
      ],
    },
    {
      name: 'NoticeLog',
      path: '/system/notice-log',
      redirect: { name: 'NoticeManage' },
      meta: {
        title: '通知日志',
        sort: 1,
        alias: 'logManage',
      },
      children: [
        {
          name: 'NoticeManage',
          path: '/system/notice-log/notice-manage',
          component: () =>
            import('@/views/system/notice-log/notice-manage/index.vue'),
          meta: {
            title: '通知公告管理',
            sort: 1,
            alias: 'noticeManage',
            icon: 'notice-manage',
          },
        },
        {
          name: 'LogManage',
          path: '/system/notice-log/log-manage',
          component: () =>
            import('@/views/system/notice-log/log-manage/index.vue'),
          meta: {
            title: '日志查询',
            sort: 2,
            alias: 'log',
            icon: 'log-manage',
          },
        },
      ],
    },
    {
      name: 'Task',
      path: '/system/task',
      redirect: { name: 'TaskManage' },
      meta: {
        title: '任务管理',
        sort: 1,
        alias: 'taskManage',
      },
      children: [
        {
          name: 'TaskManage',
          path: '/system/task/task-manage',
          component: () => import('@/views/system/task/task-manage/index.vue'),
          meta: {
            title: '任务管理',
            sort: 1,
            alias: 'task',
            icon: 'task',
          },
        },
      ],
    },
  ],
};
